Inventory

Create a vendor

POST
/api/v1/vendors

Create a vendor.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

contact_name?string
Lengthlength <= 160
Default""
email?string
Lengthlength <= 255
Default""
is_active?boolean
Defaulttrue
lead_time_days?number
Range0 <= value <= 365
Default3
name*string
Length2 <= length <= 160
ordering_method?string
Lengthlength <= 16
Default"EMAIL"
phone?string
Lengthlength <= 32
Default""
webhook_url?string
Lengthlength <= 2000
Default""

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/vendors" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {},  "meta": {},  "success": true}